The Temple Knight focuses on the balance of offense and defense and uses the magic of the God of Light and Water. Similar to the Paladin, they can use various Healing Magic. And the greatest feature is that he can summon a Cubic which can use both Healing and Supplementary Magic. The magic the Cubic uses are similar to the ones a Paladin uses, so it can be said that the play style of a Paladin and a Temple Knight are similar.
That is why they have skills such as strengthening heavy equipment and skills to summon a Cubic to use White Magic and Supplementary Magic.
To be a Temple Knight, your level must be over 40 and you need to collect the Mark of Duty, the Mark of Life, and the Mark of the Healer.
Ask about Tokens
Return